Viewer.ACCESS
Date: 2019-10-22

org.jmol.viewer

## Enum Viewer.ACCESS

- java.lang.Object
- - java.lang.Enum<Viewer.ACCESS>
  - - org.jmol.viewer.Viewer.ACCESS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Viewer.ACCESS>
  Enclosing class:
    Viewer

      public static enum Viewer.ACCESS
      extends java.lang.Enum<Viewer.ACCESS>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `NONE`
    `READSPT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Viewer.ACCESS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Viewer.ACCESS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Viewer.ACCESS NONE

    - #### READSPT

          public static final Viewer.ACCESS READSPT

    - #### ALL

          public static final Viewer.ACCESS ALL

  - ### Method Detail

    - #### values

          public static Viewer.ACCESS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Viewer.ACCESS c : Viewer.ACCESS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Viewer.ACCESS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null